## debmirror 2.33

=== debian/changelog ===
debmirror (1:2.33) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Strip trailing spaces and tabs from the content of clearsigned files
    before verifying the signature, in accordance with RFC 4880 section 7.1
    (closes: #943970).

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Dec 2019 00:24:23 +0000

=== debian/control ===
Source: debmirror
Section: net
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 9), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/debmirror.git
Vcs-Browser: https://salsa.debian.org/debian/debmirror

Package: debmirror
Architecture: all
Depends: ${misc:Depends}, perl (>= 5.10), libnet-perl, libdigest-md5-perl,
	libdigest-sha-perl, liblockfile-simple-perl, rsync,
	bzip2, libwww-perl (>= 5.815),
	perl (>= 5.22) | libnet-inet6glue-perl,
	xz-utils
Recommends: gpgv, patch, ed
Suggests: gnupg
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

## debmirror 2.33ubuntu1

=== debian/changelog ===
debmirror (1:2.33ubuntu1) hirsute; urgency=medium

  * Resynchronise with Debian. (LP: #1892110) Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.

 -- Valters Jansons <valter.jansons@gmail.com>  Sat, 22 Aug 2020 15:18:46 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debmirror
 Section: net
 Priority: optional
-Maintainer: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper-compat (= 9), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper-compat (= 9), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl, quilt (>> 0.48-1)
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/debian/debmirror.git
 Vcs-Browser: https://salsa.debian.org/debian/debmirror

## debmirror 2.34

=== debian/changelog ===
debmirror (1:2.34) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Fix day-of-week for changelog entry 20040926.

  [ Colin Watson ]
  * Avoid two-argument open.
  * Avoid bareword file handles.
  * Correct example in debmirror(1) (closes: #970435).

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Feb 2021 17:33:50 +0000

## debmirror 2.35

=== debian/changelog ===
debmirror (1:2.35) unstable; urgency=medium

  [ Kees Cook ]
  * Remove temporary files created while verifying InRelease (closes:
    #961197).

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Jun 2021 11:23:33 +0100

## debmirror 2.35ubuntu1

=== debian/changelog ===
debmirror (1:2.35ubuntu1) impish; urgency=medium

  * Merge from Debian stable (LP: #1940419). Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Valters Jansons <valter.jansons@gmail.com>  Thu, 03 Jun 2021 15:13:50 +0000

debmirror (1:2.34ubuntu1) impish; urgency=medium

  * Merge from Debian testing (LP: #1926120). Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Valters Jansons <valter.jansons@gmail.com>  Mon, 26 Apr 2021 15:00:09 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper-compat (= 9), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl, quilt (>> 0.48-1)
+Build-Depends: debhelper-compat (= 12), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl, quilt (>> 0.48-1)
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/debian/debmirror.git
 Vcs-Browser: https://salsa.debian.org/debian/debmirror

## debmirror 2.35%2Bdeb11u1

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: debmirror
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper-compat (= 12), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl, quilt (>> 0.48-1)
+Maintainer: Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper-compat (= 12), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/debian/debmirror.git
 Vcs-Browser: https://salsa.debian.org/debian/debmirror

## debmirror 2.35+deb11u1

=== debian/changelog ===
debmirror (1:2.35+deb11u1) bullseye; urgency=medium

  * Add non-free-firmware to the default sections.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Oct 2022 23:15:05 +0100

## debmirror 2.36~ab10+1

=== debian/changelog ===
debmirror (1:2.36~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    2a1b99cc3ed4afeea5b7da0ef8209ea21a7aa5a1.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Mon, 06 Jun 2022 10:16:39 +0200

debmirror (1:2.36~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    8ac409b69f2af040755bc1843a1745972921cd61.
  * External port from:
    https://deb.debian.org/debian/pool/main/d/debmirror/debmirror_2.36.d
    sc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Mon, 06 Jun 2022 10:14:00 +0200

debmirror (1:2.36) unstable; urgency=medium

  [ Sascha Lucas ]
  * Enable Ubuntu ESM mirroring.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libwww-perl and perl.
    + debmirror: Drop versioned constraint on libwww-perl and perl in Depends.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Nov 2021 11:32:24 +0000

=== debian/control ===
Source: debmirror
Section: net
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 12), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/debmirror.git
Vcs-Browser: https://salsa.debian.org/debian/debmirror

Package: debmirror
Architecture: all
Depends: ${misc:Depends}, perl, libnet-perl, libdigest-md5-perl,
	libdigest-sha-perl, liblockfile-simple-perl, rsync,
	bzip2, libwww-perl,
	xz-utils
Recommends: gpgv, patch, ed
Suggests: gnupg
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

## debmirror 2.36ubuntu1

=== debian/changelog ===
debmirror (1:2.36ubuntu1) jammy; urgency=medium

  * Merge from Debian testing (LP: #1952248). Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Valters Jansons <valter.jansons@gmail.com>  Thu, 25 Nov 2021 17:40:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debmirror
 Section: net
 Priority: optional
-Maintainer: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper-compat (= 12), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper-compat (= 12), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl, quilt (>> 0.48-1)
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/debian/debmirror.git
 Vcs-Browser: https://salsa.debian.org/debian/debmirror

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with quilt

override_dh_install:
	dh_install
	sed -i 's/^\(our \$$version=\).*/\1"$(DEB_VERSION)";/' \
		debian/debmirror/usr/bin/debmirror

## debmirror 2.36+abfixes0~ab11+1

=== debian/changelog ===
debmirror (1:2.36+abfixes0~ab11+1) bullseye-ab-unstable; urgency=medium

  [ Colin Watson ]
  * Simplify a debhelper override slightly.
  * [cf9eac4] Apply wrap-and-sort -at

  [ Stephan Sürken ]
  * [da4fd1c] fix(contents mirroring): Don't exclude 'experimental'
    distributions (Closes: 819925)

 -- Stephan Sürken <absurd@debian.org>  Mon, 29 Aug 2022 13:44:40 +0200

## debmirror 2.37

=== debian/changelog ===
debmirror (1:2.37) unstable; urgency=medium

  * Simplify a debhelper override slightly.
  * Add non-free-firmware to the default sections.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Oct 2022 12:46:52 +0100

=== debian/control ===
Source: debmirror
Section: net
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 12),
               libdigest-md5-perl,
               libdigest-sha-perl,
               liblockfile-simple-perl,
               libnet-perl,
               libwww-perl,
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/debmirror.git
Vcs-Browser: https://salsa.debian.org/debian/debmirror

Package: debmirror
Architecture: all
Depends: bzip2,
         libdigest-md5-perl,
         libdigest-sha-perl,
         liblockfile-simple-perl,
         libnet-perl,
         libwww-perl,
         perl,
         rsync,
         xz-utils,
         ${misc:Depends},
Recommends: ed,
            gpgv,
            patch,
Suggests: gnupg,
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

## debmirror 2.37+abfixes~ab~BOOKWORM+1

=== debian/changelog ===
debmirror (1:2.37+abfixes~ab~BOOKWORM+1) bookworm-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    73324ef5dc3fe9250c14623885f76ad5f522c0d7.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Fri, 26 May 2023 14:50:52 +0200

debmirror (1:2.37+abfixes~ab~SID+1) sid-ab-unstable; urgency=medium

  [ Neil Roza ]
  * check_file: Fix warning if $size is undefined.

  [ Colin Watson ]
  * Bump debhelper from old 12 to 13.

  [ Alexander Sulfrian ]
  * Two tiny fixes for the dependencies in the Makefile.

  [ Stephan Sürken ]
  * [2fb6331] fix(contents mirroring): Don't exclude 'experimental'
    distributions (Closes: 819925)

 -- Stephan Sürken <absurd@debian.org>  Fri, 26 May 2023 14:27:31 +0200

## debmirror 2.38

=== debian/changelog ===
debmirror (1:2.38) unstable; urgency=medium

  [ Neil Roza ]
  * check_file: Fix warning if $size is undefined.

  [ Colin Watson ]
  * Bump debhelper from old 12 to 13.

  [ Alexander Sulfrian ]
  * Two tiny fixes for the dependencies in the Makefile.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Jul 2023 12:15:43 +0100

## debmirror 2.38ubuntu2

=== Makefile ===
.PHONY: clean check

all: debmirror.1

check:
	perl -cw debmirror

debmirror.1: debmirror
	pod2man $< >$@

clean:
	rm -f debmirror.1
	$(MAKE) -C test $@

=== debian/changelog ===
debmirror (1:2.38ubuntu2) mantic; urgency=medium

  * Add missing build dependency and refresh quilt patches.
  * In addition to Ubuntu defaults in ubuntu-settings.patch, update the
    manpage so it reflects Ubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 20 Aug 2023 00:43:08 -0500

debmirror (1:2.38ubuntu1) mantic; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu,
      replaced most instances of Debian with Ubuntu in the
      documentation.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 Aug 2023 21:51:04 -0500

## debmirror 2.39ubuntu2

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debmirror
 Section: net
 Priority: optional
-Maintainer: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libdigest-md5-perl,
                libdigest-sha-perl,
                liblockfile-simple-perl,
                libnet-perl,
                libwww-perl,
+               quilt,
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/debian/debmirror.git
 Vcs-Browser: https://salsa.debian.org/debian/debmirror

## debmirror 2.41

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: debmirror
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libdigest-md5-perl,
                libdigest-sha-perl,
                liblockfile-simple-perl,
                libnet-perl,
                libwww-perl,
-               quilt,
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/debian/debmirror.git
 Vcs-Browser: https://salsa.debian.org/debian/debmirror

## debmirror 2.46ubuntu1

=== Makefile ===
--- 
+++ 
@@ -11,4 +11,3 @@
 clean:
 	rm -f debmirror.1
 	$(MAKE) -C test $@
-

=== debian/control ===
Source: debmirror
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libdigest-md5-perl,
 libdigest-sha-perl,
 liblockfile-simple-perl,
 libnet-perl,
 libwww-perl,
 quilt,
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/debmirror.git
Vcs-Browser: https://salsa.debian.org/debian/debmirror
X-Style: black

Package: debmirror
Architecture: all
Depends:
 bzip2,
 libdigest-md5-perl,
 libdigest-sha-perl,
 liblockfile-simple-perl,
 libnet-perl,
 libwww-perl,
 perl,
 rsync,
 xz-utils,
 ${misc:Depends},
Recommends:
 ed,
 gpgv,
 patch,
Suggests:
 gnupg,
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with quilt

execute_after_dh_install:
	sed -i 's/^\(our \$$version=\).*/\1"$(DEB_VERSION)";/' \
		debian/debmirror/usr/bin/debmirror

## debmirror 2.47

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debmirror
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Colin Watson <cjwatson@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libdigest-md5-perl,
@@ -10,7 +9,6 @@
  liblockfile-simple-perl,
  libnet-perl,
  libwww-perl,
- quilt,
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/debian/debmirror.git
 Vcs-Browser: https://salsa.debian.org/debian/debmirror

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 execute_after_dh_install:
 	sed -i 's/^\(our \$$version=\).*/\1"$(DEB_VERSION)";/' \

## debmirror 20040427

=== debian/control ===
Source: debmirror
Section: net
Priority: extra
Maintainer: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Standards-Version: 3.6.0

Package: debmirror
Architecture: all
Depends: libnet-perl, libdigest-md5-perl, liblockfile-simple-perl, rsync, libcompress-zlib-perl, bzip2
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local
 Debian mirror. It can mirror any combination of architectures, distributions 
 and sections. Files are transferred by ftp, and package pools are fully 
 supported. It also does locking and updates trace files.

## debmirror 20041209

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=debmirror
VERSION=$(shell dpkg-parsechangelog |grep "^Version:" | cut -f2 -d' ')
SECTION=$(shell grep "^Section:" debian/control | cut -f2 -d' ')
PRIORITY=$(shell grep "^Priority:" debian/control | cut -f2 -d' ')
TMPDIR=debian/tmp
BINDIR=$(TMPDIR)/usr/bin
DOCDIR=$(TMPDIR)/usr/share/doc/$(PACKAGE)
MANDIR=$(TMPDIR)/usr/share/man/man1

#strip away epoch
ifneq (,$(findstring :,$(VERSION)))
VERSION:=$(word 2,$(subst :, ,$(VERSION)))
endif

clean:
	rm -rf $(TMPDIR) debian/files
	find -name "*~" -exec rm -- "{}" \;

build:

binary:binary-indep

binary-arch:

binary-indep:
	test "`id -u`" = 0
	install -D -m 0755 debmirror $(BINDIR)/debmirror
	install -d -m 0755 $(DOCDIR)
	install -d -m 0755 $(MANDIR)
	pod2man debmirror | gzip -9 -c > $(MANDIR)/debmirror.1.gz
	install -m 0644 debian/copyright $(DOCDIR)/copyright
	install -m 0644 debian/changelog $(DOCDIR)/changelog
	gzip -9 $(DOCDIR)/changelog
	install -d -m 0755 $(TMPDIR)/DEBIAN
	install -m 0755 debian/prerm $(TMPDIR)/DEBIAN
	chmod 0755 `find $(TMPDIR) -type d`

	dpkg-distaddfile $(PACKAGE)_$(VERSION)_all.deb $(SECTION) $(PRIORITY)
	dpkg-gencontrol -isp
	dpkg --build $(TMPDIR) ../$(PACKAGE)_$(VERSION)_all.deb

## debmirror 20050207

=== debian/control ===
Source: debmirror
Section: net
Priority: extra
Maintainer: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Standards-Version: 3.6.1.0

Package: debmirror
Architecture: all
Depends: libnet-perl, libdigest-md5-perl, liblockfile-simple-perl, rsync, libcompress-zlib-perl, bzip2, libwww-perl
Recommends: gnupg
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,8 @@
 	pod2man debmirror | gzip -9 -c > $(MANDIR)/debmirror.1.gz
 	install -m 0644 debian/copyright $(DOCDIR)/copyright
 	install -m 0644 debian/changelog $(DOCDIR)/changelog
+	install -m 0644 debian/NEWS.Debian $(DOCDIR)/NEWS.Debian
+	install -m 0644 debmirror.conf $(DOCDIR)/debmirror.conf
 	gzip -9 $(DOCDIR)/changelog
 	install -d -m 0755 $(TMPDIR)/DEBIAN
 	install -m 0755 debian/prerm $(TMPDIR)/DEBIAN

## debmirror 20050207ubuntu1

=== debian/changelog ===
debmirror (20050207ubuntu1) breezy; urgency=low

  * find uses new syntax (Closes: #316461)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 27 Sep 2005 13:21:46 +0200

## debmirror 20060907.1~bpo.1

=== debian/changelog ===
debmirror (20060907.1~bpo.1) sarge-backports; urgency=low

  * Rebuild for bpo.

 -- Stephan A Suerken <absurd@debian.org>  Tue,  3 Oct 2006 10:30:16 +0000

debmirror (20060907.1) unstable; urgency=medium

  * NMU
  * depend on libdigest-sha1-perl (closes: #386707)  

 -- Rene Engelhard <rene@debian.org>  Sat, 16 Sep 2006 12:05:30 +0200

=== debian/control ===
Source: debmirror
Section: net
Priority: extra
Maintainer: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Standards-Version: 3.7.2.0

Package: debmirror
Architecture: all
Depends: libnet-perl, libdigest-md5-perl, libdigest-sha1-perl, liblockfile-simple-perl, rsync, libcompress-zlib-perl, bzip2, libwww-perl
Recommends: gnupg, patch
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

## debmirror 20070123lenny1

=== debian/changelog ===
debmirror (20070123lenny1) stable; urgency=low

  * The main Debian archive has started to use rsyncable gzip files.
    Use the --rsyncable flag when compressing Packages/Sources files using
    gzip after applying pdiffs to ensure the md5sum of the file matches the
    one in the Release file again. Closes: #560326.
    This change may cause unnecessary download of the gzipped Packages/Sources
    files for other archives that provide pdiffs but don't have rsyncable
    gzipped files.

 -- Frans Pop <fjp@debian.org>  Fri, 18 Dec 2009 20:31:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Package: debmirror
 Architecture: all
 Depends: libnet-perl, libdigest-md5-perl, libdigest-sha1-perl, liblockfile-simple-perl, rsync, libcompress-zlib-perl, bzip2, libwww-perl
-Recommends: gnupg, patch
+Recommends: gnupg, patch, ed
 Description: Debian partial mirror script, with ftp and package pool support
  This program downloads and maintains a partial local Debian mirror.
  It can mirror any combination of architectures, distributions and

## debmirror 20070123ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
 Standards-Version: 3.7.2.0
 
 Package: debmirror

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	install -d -m 0755 $(DOCDIR)
 	install -d -m 0755 $(MANDIR)
 	pod2man debmirror | gzip -9 -c > $(MANDIR)/debmirror.1.gz
+	chmod 0644 $(MANDIR)/debmirror.1.gz
 	install -m 0644 debian/copyright $(DOCDIR)/copyright
 	install -m 0644 debian/changelog $(DOCDIR)/changelog
 	install -m 0644 debian/NEWS.Debian $(DOCDIR)/NEWS.Debian

## debmirror 20070123ubuntu3

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
+Build-Depends: quilt
 Standards-Version: 3.7.2.0
 
 Package: debmirror

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 BINDIR=$(TMPDIR)/usr/bin
 DOCDIR=$(TMPDIR)/usr/share/doc/$(PACKAGE)
 MANDIR=$(TMPDIR)/usr/share/man/man1
+
+export QUILT_PATCHES=$(shell pwd)/debian/patches
 
 #strip away epoch
 ifneq (,$(findstring :,$(VERSION)))
@@ -27,6 +29,7 @@
 binary-indep:
 	test "`id -u`" = 0
 	install -D -m 0755 debmirror $(BINDIR)/debmirror
+	cd $(BINDIR) && quilt push -a && rm -rf .pc
 	install -d -m 0755 $(DOCDIR)
 	install -d -m 0755 $(MANDIR)
 	pod2man debmirror | gzip -9 -c > $(MANDIR)/debmirror.1.gz
